Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanModelManager

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.util.context.ContextAnnotatedObject
              ix.icore.process.AbstractPMM
                  ix.ip2.Ip2ModelManager
                      ix.iplan.IPlanModelManager

All Implemented Interfaces:
  Annotated, ProcessModelManager, java.io.Serializable

    public class IPlanModelManager

extends Ip2ModelManager

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.Ip2ModelManager
`Ip2ModelManager.BindingSentinel`

Nested classes/interfaces inherited from class ix.icore.process.AbstractPMM
`AbstractPMM.Sentinel`

Field Summary
`(package private) IPlanWorldStateManager` | `worldCM`

Fields inherited from class ix.ip2.Ip2ModelManager
`adviceManager, computeSupportCode, ip2, nodeFilterConstraints, nodes, otherConstraints, otherNodeConstraints, S_COMPUTE_SUPPORT_CODE, S_CONDITION, S_EFFECT, S_WORLD_STATE, sentinels, tpnm, varEnv, variableManager, worldStateCM`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`IPlanModelManager(Ip2 ip2)`

Method Summary
`void` | `applyEnv(MatchEnv env)`
`void` | `handleEffects(PNode node, java.util.List effects)`
`protected Ip2WorldStateManager` | `makeWorldStateManager()`
`protected void` | `postProcessInstalledPlan(PlanInstaller pi)`
`(package private) void` | `satisfyConds(PNode at, ix.icore.domain.ListOfConstraint conds, MatchEnv env)`
`void` | `setWorldStateMap(java.util.Map desiredState)`

Methods inherited from class ix.ip2.Ip2ModelManager
`addConstraint, addConstraint, addConstraint, addMatchChoice, addNode, addNodesBefore, addOrderingsAsTimeConstraints, addSentinel, addVariable, beginUndoableTransaction, bindVariables, clear, deleteConstraint, deleteEffect, endUndoableTransaction, evalFilters, executeRefinementEffects, fillInRefinement, getAdviceManager, getAnyNewComputeSupportCode, getComputeInterpreter, getNodeConditions, getNodeEffects, getNodeEnds, getNodeFilters, getNodes, getOtherConstraints, getOtherNodeConstraints, getPlan, getSentinels, getTPNManager, getVarEnv, getVariable, getVariableManager, getWorldStateMap, getWorldStateValue, handleCompletion, handleEffects, loadAnyNewComputeSupportCode, logBindings, makeAdviceManager, makeComputeInterpreter, makeTPNManager, makeVariableManager, markUndoPoint, reevaluateFilters, removeNode, removeSentinel, reset, satisfyRefinementPreconditions, saveUndoAction, setAnnotation, setPlan, statusChanged, testFilters, undo, undoableTransaction, undoIsEnabled, walkNodeChildren, walkNodeEnds, walkNodes, walkTopNodes`

Methods inherited from class ix.icore.process.AbstractPMM
`addConstraints, addConstraints, addProcessStatusListener, fireNewBindings, fireStateChange, fireStateDeletion, fireStatusUpdate, getConstraintManager, getConstraintManager, putVariablesInPattern, registerConstraintManager, runSentinels`

Methods inherited from class ix.util.context.ContextAnnotatedObject
`annMap, clearAnnotationsCompletely, makeAnnMap`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, removeAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotations, takeAnnotations`

Field Detail

### worldCM

    IPlanWorldStateManager worldCM

Constructor Detail

### IPlanModelManager

    public IPlanModelManager(Ip2 ip2)

Method Detail

### makeWorldStateManager

    protected Ip2WorldStateManager makeWorldStateManager()

  Overrides:
    `makeWorldStateManager` in class `Ip2ModelManager`

### postProcessInstalledPlan

    protected void postProcessInstalledPlan(PlanInstaller pi)

  Overrides:
    `postProcessInstalledPlan` in class `Ip2ModelManager`

### satisfyConds

    void satisfyConds(PNode at,
                      ix.icore.domain.ListOfConstraint conds,
                      MatchEnv env)

### handleEffects

    public void handleEffects(PNode node,
                              java.util.List effects)

  Overrides:
    `handleEffects` in class `Ip2ModelManager`

### setWorldStateMap

    public void setWorldStateMap(java.util.Map desiredState)

  Overrides:
    `setWorldStateMap` in class `Ip2ModelManager`

### applyEnv

    public void applyEnv(MatchEnv env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD